﻿namespace TestProject;

/// <summary>
/// 사람 데이터 템플리트 선택자
/// </summary>
public class PersonDataTemplateSelector : DataTemplateSelector
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Property
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 젊은 사람 템플리트 - YoungPersonTemplate

    /// <summary>
    /// 젊은 사람 템플리트
    /// </summary>
    public DataTemplate YoungPersonTemplate { get; set; }

    #endregion
    #region 늙은 사람 템플리트 - OldPersonTemplate

    /// <summary>
    /// 늙은 사람 템플리트
    /// </summary>
    public DataTemplate OldPersonTemplate { get; set; }

    #endregion

    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Protected

    #region 템플리트 선택시 처리하기 - OnSelectTemplate(item, container)

    /// <summary>
    /// 템플리트 선택시 처리하기
    /// </summary>
    /// <param name="item">항목</param>
    /// <param name="container">컨테이너</param>
    /// <returns>선택 데이터 템플리트</returns>
    protected override DataTemplate OnSelectTemplate(object item, BindableObject container)
    {
        return ((PersonModel)item).Age < 35 ? YoungPersonTemplate : OldPersonTemplate;
    }

    #endregion
}